summaryrefslogtreecommitdiff
path: root/local
diff options
context:
space:
mode:
authorMarc Coquand <marc@mccd.space>2024-05-26 19:41:21 -0500
committerMarc Coquand <marc@mccd.space>2024-05-26 19:41:21 -0500
commitf125732f92a9ba39a2fec0afb1c4a677cb9a49f5 (patch)
treebbc76ac9a2df13aab32c4e247e094c97abd2dacc /local
parent1f796d5cb6e1696b9c993f038933d4a70b46b989 (diff)
downloadrcm-f125732f92a9ba39a2fec0afb1c4a677cb9a49f5.tar.gz
rcm-f125732f92a9ba39a2fec0afb1c4a677cb9a49f5.tar.bz2
rcm-f125732f92a9ba39a2fec0afb1c4a677cb9a49f5.zip
xsync: Use doas
Diffstat (limited to 'local')
-rwxr-xr-xlocal/bin/xsync4
1 files changed, 2 insertions, 2 deletions
diff --git a/local/bin/xsync b/local/bin/xsync
index c6108ae..e8c0578 100755
--- a/local/bin/xsync
+++ b/local/bin/xsync
@@ -21,8 +21,8 @@ comm /tmp/xsync-spec /tmp/xsync-installed -23 > /tmp/xsync-to-install
comm /tmp/xsync-spec /tmp/xsync-installed -13 > /tmp/xsync-to-remove
# You can add the -n flag to dry-run and see what will happen
-[ -s /tmp/xsync-to-remove ] && sudo xbps-remove $(cat /tmp/xsync-to-remove) || echo "Nothing to remove"
+[ -s /tmp/xsync-to-remove ] && doas xbps-remove $(cat /tmp/xsync-to-remove) || echo "Nothing to remove"
# You can add the -n flag to dry-run and see what will happen
-[ -s /tmp/xsync-to-install ] && sudo xbps-install -S $(cat /tmp/xsync-to-install) || echo "Nothing to install"
+[ -s /tmp/xsync-to-install ] && doas xbps-install -S $(cat /tmp/xsync-to-install) || echo "Nothing to install"